//
// file: yacco2_k_symbols.cpp
// Gened Date and Time: Mon Aug 30 09:49:20 2004 
//
/*
  Copyright Dave Bone 1998 - 2010 
  All Rights Reserved. 
  No part of this document may be reproduced without written consent from the author.
*/
#include "yacco2_k_symbols.h"
using namespace NS_yacco2_k_symbols;
using namespace NS_yacco2_T_enum;  
    LR1_eog::LR1_eog()
      T_CTOR("eog",T_Enum::T_LR1_eog_,0,false,false)
    {}
    LR1_eog LR1_eog__;
	yacco2::CAbs_lr1_sym* yacco2::PTR_LR1_eog__ = &LR1_eog__;
  
    LR1_eolr::LR1_eolr()
      T_CTOR("eolr",T_Enum::T_LR1_eolr_,0,false,false)
    {}
    LR1_eolr LR1_eolr__;
    yacco2::CAbs_lr1_sym* NS_yacco2_k_symbols::PTR_LR1_eolr__ = &LR1_eolr__;
  
    LR1_parallel_operator::LR1_parallel_operator()
      T_CTOR("|||",T_Enum::T_LR1_parallel_operator_,0,false,false)
    {}
    LR1_parallel_operator LR1_parallel_operator__;
    yacco2::CAbs_lr1_sym* NS_yacco2_k_symbols::PTR_LR1_parallel_operator__ = &LR1_parallel_operator__;

LR1_reduce_operator::
LR1_reduce_operator()
 T_CTOR("|r|",T_Enum::T_LR1_reduce_operator_,0,true,true)
{}
LR1_invisible_shift_operator::LR1_invisible_shift_operator()
      T_CTOR("|.|",T_Enum::T_LR1_invisible_shift_operator_,0,false,false)
	{}
    LR1_invisible_shift_operator LR1_invisible_shift_operator__;
    yacco2::CAbs_lr1_sym* NS_yacco2_k_symbols::PTR_LR1_invisible_shift_operator__ = &LR1_invisible_shift_operator__;
  
    LR1_all_shift_operator::LR1_all_shift_operator()
      T_CTOR("|+|",T_Enum::T_LR1_all_shift_operator_,0,false,false)
    {}
    LR1_all_shift_operator LR1_all_shift_operator__;
    yacco2::CAbs_lr1_sym* NS_yacco2_k_symbols::PTR_LR1_all_shift_operator__ = &LR1_all_shift_operator__;
 
LR1_fset_transience_operator::LR1_fset_transience_operator()
      T_CTOR("|t|",T_Enum::T_LR1_fset_transience_operator_,0,false,false)
    {}
    LR1_fset_transience_operator LR1_fset_transience_operator__;
    yacco2::CAbs_lr1_sym* NS_yacco2_k_symbols::PTR_LR1_fset_transience_operator__ 
                = &LR1_fset_transience_operator__;
    
    LR1_questionable_shift_operator::LR1_questionable_shift_operator()
      T_CTOR("|?|",T_Enum::T_LR1_questionable_shift_operator_,0,false,false)
	{}
    LR1_questionable_shift_operator LR1_questionable_shift_operator__;
    yacco2::CAbs_lr1_sym* NS_yacco2_k_symbols::PTR_LR1_questionable_shift_operator__ = &LR1_questionable_shift_operator__;
